Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.ui
Class ButtonActivator

    java.lang.Object
      |
      +--quicktime.app.event.MouseButtonAdapter
            |
            +--quicktime.app.ui.ButtonActivator

All Implemented Interfaces:
  java.util.EventListener, MouseButtonListener, MouseTargetListener, QTMouseListener

public class ButtonActivator
extends MouseButtonAdapter
implements MouseTargetListener

The ButtonActivator class responds only to the QTMouseEvents on the QTButton object.

Field Summary
`protected java.lang.Object` | `target` This is the Transformable target of the action

Constructor Summary
`ButtonActivator()`

Method Summary
`void` | `mousePressed(QTMouseEvent event)` Invoked when the mouse has been pressed on a found and valid QTButton within the enclosing space.
`void` | `mouseReleased(QTMouseEvent event)` Invoked when the mouse has been released on a found and valid QTButton within the enclosing space.
`void` | `mouseTargetEntered(QTMouseEvent event)` Invoked when a mouseMoved event enters a QTButton within an enclosing space.
`void` | `mouseTargetExited(QTMouseEvent event)` Invoked when a mouseMoved event exits the QTButton within an enclosing space.

Methods inherited from class quicktime.app.event.MouseButtonAdapter
`matchModifierFilter, mouseClicked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface quicktime.app.event.QTMouseListener
`matchModifierFilter`

Field Detail

### target

    protected java.lang.Object target

  This is the Transformable target of the action

Constructor Detail

### ButtonActivator

    public ButtonActivator()

Method Detail

### mousePressed

    public void mousePressed(QTMouseEvent event)

  Invoked when the mouse has been pressed on a found and valid QTButton within the enclosing space.
  Overrides:
    `mousePressed` in class `MouseButtonAdapter`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### mouseReleased

    public void mouseReleased(QTMouseEvent event)

  Invoked when the mouse has been released on a found and valid QTButton within the enclosing space.
  Overrides:
    `mouseReleased` in class `MouseButtonAdapter`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### mouseTargetEntered

    public void mouseTargetEntered(QTMouseEvent event)

  Invoked when a mouseMoved event enters a QTButton within an enclosing space. The QTButton is set for events of this kind.
  Specified by:
    `mouseTargetEntered` in interface `MouseTargetListener`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### mouseTargetExited

    public void mouseTargetExited(QTMouseEvent event)

  Invoked when a mouseMoved event exits the QTButton within an enclosing space. The QTButton is set for events of this kind.
  Specified by:
    `mouseTargetExited` in interface `MouseTargetListener`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD